[résolu] problème de mise à jour , erreur avec squid

Vous n'arrivez pas à faire ce que vous voulez ? Vous avez un problème avec un logiciel ou son installation ?

Modérateur : Mods GNU/Linux

Wullfk

[résolu] problème de mise à jour , erreur avec squid

par Wullfk »

Bonsoir,

ça faisait un petit bout de temps que je n'étais pas venu sur le forum.

J'ai un soucis, suite à une mise à jour dite partiel (je ne sais pour quel raison)
je suis toujour sur Ubuntu 10.10 qui me satisfait pleinement.
seulement depuis hier des que je veux installer ou désinstaller quelque chose, j'obtiens ce message :

Code : Tout sélectionner

Paramétrage de squid (2.7.STABLE9-2ubuntu5.1) ...
start: Job failed to start
dpkg : erreur de traitement de squid (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 squid
E: Sub-process /usr/bin/dpkg returned an error code (1)
et malgrès plusieurs recherche, j'ai rien trouvé pour résoudre ce problème.

c'est pourquoi je me tourne vers vous.

d'avance merci pour l'aide et les conseils que vous pourrez me fournir.

amicalement
Dernière modification par Wullfk le 10 juil. 2011 14:42, modifié 1 fois.
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

bonjour Wullfk,
ça me fait plaisir de voir que tu t'accroches à 'nux. :)

J'ai déjà eu le même souci que toi, dis donc. Mais je ne sais plus avec quel paquet.
Qu'y a t il dans le fichier suivant :

Code : Tout sélectionner

cat /var/lib/dpkg/info/squid.postrm
@+
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Bonsoir Laetitia,

ho! que oui que je garde Linux , enfin Ubuntu 10.10 pas la 11.04
mais comme je l'ai déjà dit je conserve aussi Windows 7 , en fait je jongle d'une config à l'autre, et ma fois ça réussi pas trop mal.

pour en revenir à ta question, étant donnée que je suis en plein préparatif de départ en vacances et que le netbook est rangé, je ne pourrais te fournir les éléments demandé que quand je serais sur mon lieu de villégiature, ben oui mon netbook me suis comme un petit chien (lol)

pour la connexion sa devrais pas posé de problème y a le wifi ou je vais et au pire j'ai ma clé 3G .

donc à bientôt sur la ligne
@ + ;)
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

ok, @ bientôt alors. Je m'absente aussi ce w-e. ;)
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Bonjour Laetitia,

bien arrivée sur mon lieu de vacance, le netbook est opérationnel pour le surf.

voici donc ce que contient le fichier que tu m'as demandé :

Code : Tout sélectionner

[email protected]:~$ cat /var/lib/dpkg/info/squid.postrm
#! /bin/sh

set -e

case "$1" in
	remove)
		;;
	purge)
		if [ -e /usr/share/debconf/confmodule ]; then
			# Source debconf library.
			. /usr/share/debconf/confmodule
			# Remove my changes to the db.
			db_purge
		fi
		echo "Purging logfiles .."
		rm -rf /var/log/squid
        	if [ -f /etc/squid/squid.conf ]; then
			echo "Removing the config-file .."
			rm -f /etc/squid/squid.conf
		fi
		if [ -f /etc/default/squid ]; then
			rm -f /etc/default/squid
		fi

		#
        	# We do not remove /var/spool/squid because that might
        	# take a lot of time. Most of the time it is on a seperate
        	# disk anyway and it is faster to do a mkfs on it..
        	#
        	echo "Remove the proxy cache in /var/spool/squid yourself!"
		;;
	failed-upgrade)
		if (dpkg --compare-versions "$2" le '2.5.4-4' && [ -e /etc/squid/conffile-moved ])
		then
			mv /etc/squid/squid.conf /etc/squid.conf
			rm /etc/squid/conffile-moved
		fi
		;;
	upgrade|abort-install|abort-upgrade|disappear)
		;;
esac

#DEBHELPER

exit 0
autant te dire que pour moi cela ne me cause pas du tout

Amicalement ;)
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

salut Wullfk le vacancier les orteils en éventail et la bière fraîche à la main,
bon, y'a un problème de conf.
alors, tu ne vas garder que les lignes 1,2 et la dernière de ton fichier, soit :

Code : Tout sélectionner

#! /bin/sh
set -e
exit 0
Tu relances un update

Code : Tout sélectionner

sudo aptitude update
et safe-upgrade

Code : Tout sélectionner

sudo aptitude safe-upgrade
C'est quand même honteux que tu doives bosser en vacances, hein ! :D
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Lætitia a écrit :salut Wullfk le vacancier les orteils en éventail et la bière fraîche à la main
Salut Laetitia, c'est presque ça PDT_016
bon, y'a un problème de conf.
alors, tu ne vas garder que les lignes 1,2 et la dernière de ton fichier, soit :

Code : Tout sélectionner

#! /bin/sh
set -e
exit 0
ça je doute pas qu'il y a un problème (lol), bon j'ai appliqué exactement ce que tu m'as dit
Tu relances un update

Code : Tout sélectionner

sudo aptitude update
et safe-upgrade

Code : Tout sélectionner

sudo aptitude safe-upgrade
tout ce passe bien.....jusqu'a l'exécution de sudo aptitude safe-upgrade car à la fin du processus j'obtiens ceci :

Code : Tout sélectionner

Des erreurs ont été rencontrées pendant l'exécution :
 squid
 gadmin-squid
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
dpkg : des problèmes de dépendances empêchent la configuration de gadmin-squid :
 gadmin-squid dépend de squid ; cependant :
 Le paquet squid n'est pas encore configuré.
dpkg : erreur de traitement de gadmin-squid (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 gadmin-squid
Lætitia a écrit :C'est quand même honteux que tu doives bosser en vacances, hein ! :D
bosser c'est un peu exagérer, mais comme on dit quand on aime on ne compte pas. qui sait c'est peut être toi que je fais bosser pour me prodiguer ton aide et tes conseils. PDT_014

je pense à une chose , Gamin squid j'en ai pas l'utilité, à ton avis si je supprime l'application tout simplement, est ce que cela pourrais résoudre mon problème.

@+ ;)
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

salut,
Wullfk a écrit : je pense à une chose , Gamin squid j'en ai pas l'utilité, à ton avis si je supprime l'application tout simplement, est ce que cela pourrais résoudre mon problème.
Gamin-squid est une interface graphique pour paramétrer Squid.
Tu peux le supprimer mais cela ne résoudra pas le souci de squid (qui est en amont) non configuré.
Par curiosité, ça donne quoi :

Code : Tout sélectionner

aptitude show squid

Code : Tout sélectionner

aptitude show gamin-squid
Essaie de forcer l'installation pour que tout se reconfigure.

Code : Tout sélectionner

sudo aptitude install -f
Ensuite, tu refais un "update" et un "safe-upgrade"

Pour ce qui est de bosser, mes vacances approchant, je suis un peu débordée au boulot, certes. :p Et puis, je n'ai pas l'impression de bosser en bricolant comme ça. J'apprends même plein de choses intéressantes. PDT_008

@+
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Pour le premier ça donne ça:

Code : Tout sélectionner

[email protected]:~$ aptitude show squid
Paquet : squid                                
État: partiellement configuré
Automatiquement installé: non
Version : 2.7.STABLE9-2ubuntu5.1
Priorité : optionnel
Section : web
Responsable : Ubuntu Core Developers <[email protected]>
Taille décompressée : 1 946k
Dépend: libc6 (>= 2.7), libcomerr2 (>= 1.01), libdb4.8, libgssapi-krb5-2 (>=
         1.8+dfsg), libkrb5-3 (>= 1.6.dfsg.2), libldap-2.4-2 (>= 2.4.7),
         libpam0g (>= 0.99.7.1), netbase, adduser, logrotate (>= 3.5.4-1),
         squid-common (>= 2.7.STABLE9-2ubuntu5.1), lsb-base (>= 3.2-14),
         ssl-cert (>= 1.0-11ubuntu1)
Pré-dépend: debconf (>= 1.2.9) | debconf-2.0
Suggère: squidclient, squid-cgi, logcheck-database, resolvconf (>= 0.40),
          smbclient, winbind, ufw
Est en conflit: sarg (< 1.1.1-2), squid-novm
Remplace: squid-novm
Description : Internet object cache (WWW proxy cache)
 This package provides the Squid Internet Object Cache developed by the National
 Laboratory for Applied Networking Research (NLANR) and Internet volunteers.
Site : http://www.squid-cache.org/
Pour le deuxième c'est plus inquiétant :

Code : Tout sélectionner

[email protected]:~$ aptitude show gamin-squid
E: Paquet gamin-squid introuvable     
alors qu'ii est bien présent et installé

j'ai donc effectué le forcage que tu m'as indiqué "sudo aptitude install -f" et j'obtiens ceci :

Code : Tout sélectionner

Les NOUVEAUX paquets suivants vont être installés :
  ubuntu-netbook 
Les paquets suivants seront ENLEVÉS :
  squid{p} squidguard{p} 
Les paquets partiellement installés suivants seront configurés :
  gadmin-squid{b} 
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
  gnome-sudoku quadrapassel 
0 paquets mis à jour, 1 nouvellement installés, 2 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 34,4ko d'archives. Après dépaquetage, 2 224ko seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
  squid-deb-proxy: Dépend: squid mais il ne sera pas installé.
  gadmin-squid: Dépend: squid mais il ne sera pas installé.
  squidguard-doc: Dépend: squidguard (>= 1.4-2) mais il ne sera pas installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :
1)     gadmin-squid                  
2)     squid-deb-proxy               
3)     squidguard-doc                



Accepter cette solution ? [Y/n/q/?] 
ne sachant pas vraiment quoi répondre par rapport à ce qui est proposé, j'ai répondu NON dans un premier temps, puis après , à ceci :

Code : Tout sélectionner

Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :                                          
1)     gadmin-squid                                                            
2)     squid-deb-proxy                                                         

     Installer les paquets suivants :                                          
3)     squid3 [3.1.6-1.1ubuntu1.1 (maverick-security, maverick-updates)]       
4)     squid3-common [3.1.6-1.1ubuntu1.1 (maverick-security, maverick-updates)]

     Conserver les paquets suivants dans leur version actuelle :               
5)     squidguard [1.4-2 (maverick, now)] 

Accepter cette solution ? [Y/n/q/?] Y
       


j'ai répondu YES

Code : Tout sélectionner

Les NOUVEAUX paquets suivants vont être installés :
  squid3{a} squid3-common{a} ubuntu-netbook 
Les paquets suivants seront ENLEVÉS :
  gadmin-squid{a} squid{p} squid-deb-proxy{a} 
Les paquets suivants sont RECOMMANDÉS mais ne seront pas installés :
  gnome-sudoku quadrapassel 
0 paquets mis à jour, 3 nouvellement installés, 3 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 501ko d'archives. Après dépaquetage, 1 692ko seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Idem ici , ce qui est normal, puisque c'est une simple confirmation de la question précédente.

voila à ce niveau je ne peux t'en dire plus
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

salut,
bon, aptitude a fait son boulot et a géré les dépendances. Du coup, tu as la version récente de squid. Bien joué. PDT_003
Tu trouveras le fichier de conf dans "/etc/squid3/squid.conf". Tiens, en passant, si tu cherches l'ensemble des fichiers de "squid", tu fais :

Code : Tout sélectionner

dpkg -L squid3
Et n'oublie pas de faire une sauvegarde du fichier de conf vierge pour pouvoir revenir en arrière au cas où.

Code : Tout sélectionner

sudo cp /etc/squid3/squid.conf /etc/squid3/squid.conf.back
En fait c'était "gadmin-squid", il manquait un "d". My fault. PDT_014.

Tu me dis quoi. @+
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

no soucaille, l'erreur est humaine

dans ce cas le résultat est le suivant :

Code : Tout sélectionner

[email protected]:~$ aptitude show gadmin-squid
Paquet : gadmin-squid                         
État: non installé
Version : 0.1.3-1
Priorité : optionnel
Section : universe/admin
Responsable : Ubuntu Developers <[email protected]>
Taille décompressée : 340k
Dépend: libatk1.0-0 (>= 1.29.3), libc6 (>= 2.7), libcairo2 (>= 1.2.4),
         libfontconfig1 (>= 2.8.0), libfreetype6 (>= 2.2.1), libglib2.0-0 (>=
         2.16.0), libgtk2.0-0 (>= 2.8.0), libpango1.0-0 (>= 1.14.0), menu, squid
Description : GTK+ configuration tool for squid
 gadmin-squid is a fast and easy to use GTK+ administration tool for the Squid
 proxy server.
Site : http://www.gadmintools.org/
Etat: non installé, c'est ma fois logique puisque à la précédente manipulation cela à désinstallé gadmin-squid, dois je le réinstaller?
soit dit en passant lorsque j'installe une application ou que je fais une mise à jour j'ai toujours la même erreur, et paradoxalement l'installation d'une application ce réalise quand même , je viens de le constater à nouveau en installant Gmount-iso

une question hors sujet au passage, celons toi est ce que je peux sans soucis installer et utiliser VirtuaBox sur mon EEPC afin d'y mettre une VM de Windows 7 Starter , sans que cela me plante tout le netbook. les capacités matériel d'un netbook comme le mien étant limité, surtout au niveau CG, en RAM c'est pas vraiment un problème, je dispose de 2Go
le but principale de cette VM c'est de pouvoir y installer et utiliser iTunes, car comme tu dois certainement le savoir, y a rien de prévu pour Ubuntu pour faire la synchro d'un Iphone 4

@+ ;)
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

salut,
pas besoin de réinstaller gadmin-squid.
Par contre, c'est bizarre que tu ais encore des erreurs.
Que donne le retour :

Code : Tout sélectionner

sudo aptitude update

Code : Tout sélectionner

sudo aptitude safe-upgrade
et aussi

Code : Tout sélectionner

aptitude search squid
Pour Virtualbox, ça risque de ne pas être rapide, c'est sûr. Mais c'est une solution.
Je ne sais pas pour l'IPhone, mais l'Ipod touch de mon gars fonctionne avec Amarok pour les zik et vidéo. Il tourne sur GTKpod aussi.
Après tu peux tenter de faire tourner Itunes sur Wine, pour voir.

@+
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Pour "sudo aptitude update"

Code : Tout sélectionner

Atteint http://archive.canonical.com maverick Release.gpg                       
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en        
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en_GB     
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-fr        
Atteint http://archive.canonical.com maverick Release.gpg                       
Ign http://archive.canonical.com/ maverick/partner Translation-en               
Ign http://archive.canonical.com/ maverick/partner Translation-en_GB            
Ign http://archive.canonical.com/ maverick/partner Translation-fr               
Atteint http://archive.canonical.com maverick Release                           
Atteint http://archive.canonical.com maverick Release                           
Atteint http://archive.canonical.com maverick/partner i386 Packages             
Atteint http://archive.canonical.com maverick/partner i386 Packages             
Err http://deb.playonlinux.com maverick Release.gpg                             
  Quelque chose d'imprévisible est survenu lors de la détermination de « deb.playonlinux.com:http » (-5 - Aucune adresse associée avec le nom de l'hôte)
Ign http://deb.playonlinux.com/ maverick/main Translation-en                    
Ign http://deb.playonlinux.com/ maverick/main Translation-en_GB                 
Ign http://deb.playonlinux.com/ maverick/main Translation-fr                    
Atteint http://deb.playonlinux.com maverick Release                             
Ign http://deb.playonlinux.com maverick/main i386 Packages/DiffIndex            
Ign http://deb.playonlinux.com maverick/main i386 Packages                      
Ign http://deb.playonlinux.com maverick/main i386 Packages                      
Atteint http://deb.playonlinux.com maverick/main i386 Packages                  
Err http://fr.archive.ubuntu.com maverick Release.gpg                           
  Quelque chose d'imprévisible est survenu lors de la détermination de « fr.archive.ubuntu.com:http » (-5 - Aucune adresse associée avec le nom de l'hôte)
Err http://security.ubuntu.com maverick-security Release.gpg                    
  Quelque chose d'imprévisible est survenu lors de la détermination de « security.ubuntu.com:http » (-5 - Aucune adresse associée avec le nom de l'hôte)
Err http://ppa.launchpad.net lucid Release.gpg                         
  Quelque chose d'imprévisible est survenu lors de la détermination de « ppa.launchpad.net:http » (-5 - Aucune adresse associée avec le nom de l'hôte)
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick/main Translation-en           
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/main Translation-en_GB    
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/main Translation-fr
Ign http://ppa.launchpad.net/gdm2setup/gdm2setup/ubuntu/ lucid/main Translation-en
Ign http://ppa.launchpad.net/gdm2setup/gdm2setup/ubuntu/ lucid/main Translation-en_GB
Ign http://ppa.launchpad.net/gdm2setup/gdm2setup/ubuntu/ lucid/main Translation-fr
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en    
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en_GB
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en     
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en_GB
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en
Atteint http://ppa.launchpad.net maverick Release.gpg                  
Ign http://ppa.launchpad.net/jd-team/jdownloader/ubuntu/ maverick/main Translation-en
Ign http://ppa.launchpad.net/jd-team/jdownloader/ubuntu/ maverick/main Translation-en_GB
Ign http://ppa.launchpad.net/jd-team/jdownloader/ubuntu/ maverick/main Translation-fr
Atteint http://ppa.launchpad.net maverick Release.gpg                           
Ign http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/ maverick/main Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en_GB
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-fr
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en_GB
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-fr
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en_GB
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en_GB
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en
Ign http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/ maverick/main Translation-en_GB
Ign http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/ maverick/main Translation-fr
Atteint http://ppa.launchpad.net maverick Release.gpg                  
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en_GB
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ maverick/main Translation-en
Atteint http://fr.archive.ubuntu.com/ubuntu/ maverick/universe Translation-fr
Atteint http://fr.archive.ubuntu.com maverick-updates Release.gpg      
Atteint http://security.ubuntu.com maverick-security Release                    
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ maverick/main Translation-en_GB
Ign http://ppa.launchpad.net/pmcenery/ppa/ubuntu/ maverick/main Translation-fr
Atteint http://ppa.launchpad.net lucid Release                         
Atteint http://ppa.launchpad.net maverick Release                      
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en   
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en_GB
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-fr   
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-en_GB
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/multiverse Translation-fr
Atteint http://ppa.launchpad.net maverick Release                               
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en
Ign http://security.ubuntu.com maverick-security/main Sources/DiffIndex         
Atteint http://ppa.launchpad.net maverick Release                               
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-en_GB
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/restricted Translation-fr
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-en_GB
Ign http://fr.archive.ubuntu.com/ubuntu/ maverick-updates/universe Translation-fr
Atteint http://fr.archive.ubuntu.com maverick Release                           
Atteint http://fr.archive.ubuntu.com maverick-updates Release                   
Ign http://security.ubuntu.com maverick-security/restricted Sources/DiffIndex   
Ign http://security.ubuntu.com maverick-security/universe Sources/DiffIndex     
Ign http://security.ubuntu.com maverick-security/multiverse Sources/DiffIndex   
Ign http://security.ubuntu.com maverick-security/main i386 Packages/DiffIndex   
Ign http://ppa.launchpad.net lucid/main Sources/DiffIndex                       
Ign http://ppa.launchpad.net lucid/main i386 Packages/DiffIndex                 
Atteint http://ppa.launchpad.net maverick/main Sources                 
Atteint http://ppa.launchpad.net maverick/main i386 Packages           
Ign http://fr.archive.ubuntu.com maverick/main Sources/DiffIndex       
Ign http://fr.archive.ubuntu.com maverick/restricted Sources/DiffIndex          
Ign http://fr.archive.ubuntu.com maverick/universe Sources/DiffIndex            
Ign http://fr.archive.ubuntu.com maverick/multiverse Sources/DiffIndex          
Ign http://fr.archive.ubuntu.com maverick/main i386 Packages/DiffIndex          
Ign http://fr.archive.ubuntu.com maverick/restricted i386 Packages/DiffIndex    
Ign http://fr.archive.ubuntu.com maverick/universe i386 Packages/DiffIndex      
Ign http://fr.archive.ubuntu.com maverick/multiverse i386 Packages/DiffIndex    
Ign http://security.ubuntu.com maverick-security/restricted i386 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/universe i386 Packages/DiffIndex
Ign http://security.ubuntu.com maverick-security/multiverse i386 Packages/DiffIndex
Atteint http://ppa.launchpad.net maverick/main Sources                 
Atteint http://fr.archive.ubuntu.com maverick-updates/main Sources     
Atteint http://ppa.launchpad.net maverick/main i386 Packages           
Atteint http://fr.archive.ubuntu.com maverick-updates/restricted Sources        
Atteint http://fr.archive.ubuntu.com maverick-updates/universe Sources          
Atteint http://fr.archive.ubuntu.com maverick-updates/multiverse Sources
Atteint http://fr.archive.ubuntu.com maverick-updates/main i386 Packages        
Atteint http://fr.archive.ubuntu.com maverick-updates/restricted i386 Packages  
Atteint http://fr.archive.ubuntu.com maverick-updates/universe i386 Packages    
Atteint http://fr.archive.ubuntu.com maverick-updates/multiverse i386 Packages  
Atteint http://fr.archive.ubuntu.com maverick/main Sources                      
Atteint http://security.ubuntu.com maverick-security/main Sources               
Atteint http://security.ubuntu.com maverick-security/restricted Sources         
Atteint http://security.ubuntu.com maverick-security/universe Sources           
Atteint http://security.ubuntu.com maverick-security/multiverse Sources         
Atteint http://ppa.launchpad.net maverick/main Sources                 
Atteint http://ppa.launchpad.net maverick/main i386 Packages           
Atteint http://ppa.launchpad.net lucid/main Sources                    
Atteint http://ppa.launchpad.net lucid/main i386 Packages                       
Atteint http://fr.archive.ubuntu.com maverick/restricted Sources                
Atteint http://fr.archive.ubuntu.com maverick/universe Sources         
Atteint http://fr.archive.ubuntu.com maverick/multiverse Sources       
Atteint http://fr.archive.ubuntu.com maverick/main i386 Packages       
Atteint http://fr.archive.ubuntu.com maverick/restricted i386 Packages
Atteint http://security.ubuntu.com maverick-security/main i386 Packages
Atteint http://security.ubuntu.com maverick-security/restricted i386 Packages
Atteint http://security.ubuntu.com maverick-security/universe i386 Packages
Atteint http://fr.archive.ubuntu.com maverick/universe i386 Packages   
Atteint http://fr.archive.ubuntu.com maverick/multiverse i386 Packages
Atteint http://security.ubuntu.com maverick-security/multiverse i386 Packages

pour "sudo aptitude safe-upgrade"

Code : Tout sélectionner

[email protected]:~$ sudo aptitude safe-upgrade
Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
là ça le mérite d'être clair (lol)

et enfin pour "aptitude search squid"

Code : Tout sélectionner

[email protected]:~$ aptitude search squid
p   biosquid                        - Utilitaire d'analyse de séquence biologiqu
p   biosquid-dev                    - headers and static library for biological 
p   ebox-squid                      - eBox - HTTP Proxy (Cache and Content Filte
c   gadmin-squid                    - GTK+ configuration tool for squid         
p   gadmin-squid-dbg                - GTK+ configuration tool for squid (debug) 
p   squid                           - Internet object cache (WWW proxy cache)   
p   squid-cgi                       - A full featured Web Proxy cache (HTTP prox
id  squid-common                    - Internet object cache (WWW proxy cache) - 
c   squid-deb-proxy                 - Squid proxy configuration optimized for de
p   squid-deb-proxy-client          - Automatic proxy discovery for apt based on
i A squid-langpack                  - Localized error pages for Squid           
p   squid-prefetch                  - Simple page-prefetch for Squid web proxy  
i A squid3                          - A full featured Web Proxy cache (HTTP prox
v   squid3-cgi                      -                                           
v   squid3-client                   -                                           
i A squid3-common                   - A full featured Web Proxy cache (HTTP prox
p   squid3-dbg                      - A full featured Web Proxy cache (HTTP prox
p   squidclient                     - A full featured Web Proxy cache (HTTP prox
i   squidguard                      - filter and redirector plugin for Squid    
i   squidguard-doc                  - filter and redirector plugin for Squid - D
p   squidtaild                      - Squid log monitoring program              
i   squidview                       - monitors and analyses squid access.log fil
heu! la c'est du chinois pour moi PDT_014

je note tout de même qu'avant de t'envoyer tous ces éléments j'ai effectué une mise à jour des packets recommandé pour Maverick (je sais pas si c'est bon de cocher cette liste dans la configuration des sources) bref, je n'ai pas eu de message d'erreur, de plus il m'a été demandé de faire un redémarrage , ce que j'ai fait juste avant de poster cette réponse.
Pour Virtualbox, ça risque de ne pas être rapide, c'est sûr. Mais c'est une solution.
que ce soit pas rapide (dans la mesure du raisonnable) c'est pas vraiment important, mais c'est plutôt que cela ne m'écroule pas la config, si tu vois ce que je veux dire.
Je ne sais pas pour l'IPhone, mais l'Ipod touch de mon gars fonctionne avec Amarok pour les zik et vidéo. Il tourne sur GTKpod aussi.
pour la zik et les photos, c'est pas un problème, car au branchement de l'iPhone celui ci est d'une part bien reconnue et d'autre part Rhythmbox prend bien en charge la musique (j'ai par contre pas essayer dans transferer vers l'iPhone) et pour les photos ShotWell les prends en charge.
de plus je ne souhaite pas jailbreaker mon iPhone 4 pour le moment (il est récent)
Après tu peux tenter de faire tourner Itunes sur Wine, pour voir.
là je sais pas trop, car autant j'arrive à gérer et utiliser VirtualBox (sur ma config desktop), autant je sais pas du tout comment s'utilise Wine, de plus j'ai pu lire que ce dernier n'était pas vraiment stable, alors je me vois mal planté ma config du netbook pendant mes vacances, car pour le coup ça me gacherai bien les choses.
L'avantage de VirtualBox c'est que celui ci reste indépendant d'UBUNTU contrairement à Wine (je sais pas si je me fais bien comprendre)

note: je pense que d'ici la rentrer ou à noël, je vais casser ma tirelire, pour me prendre un ibook pro en 15" équipé d'un SAndyBridge i5 ou i7 , c'est stable, puissant et fiable, contrairement aux PC portable sous Windows.

++
certe le prix fait peur, mais la qualité est là. à méditer.....
Avatar de l’utilisateur
Lætitia
Messages : 2068
Inscription : 28 août 2008 15:53
Localisation : près Rouen

Re: problème de mise à jour , erreur avec squid

par Lætitia »

salut,
Wullfk a écrit :

Code : Tout sélectionner

[email protected]:~$ aptitude search squid
heu! la c'est du chinois pour moi PDT_014
aptitude a listé les paquets contenant la chaîne "squid" et nous indique l'état de ces paquets.
  • premier caractère
    • p jamais installé ou supprimé complètement
    • i installé
    • v paquet virtuel
    • c paquet supprimé mais les fichiers de conf sont restés
  • deuxième caractère
    • A installé automatiquement
    • d paquet à supprimer
Donc dans un monde parfait, il faudrait supprimer "squid-common" et les fichiers de conf de "gadmin-squid" et "squid-deb-proxy". Hé wé.
Pour supprimer totalement tout le monde

Code : Tout sélectionner

sudo aptitude purge squid-common 
Puis tu passes à "gadmin-squid" et "squid-deb-proxy" s'il n'y a pas d'erreur. Le "purge" sert à supprimer complètement contrairement à "remove" qui garde la conf.

j'ai effectué une mise à jour des packets recommandé pour Maverick (je sais pas si c'est bon de cocher cette liste dans la configuration des sources) bref, je n'ai pas eu de message d'erreur, de plus il m'a été demandé de faire un redémarrage , ce que j'ai fait juste avant de poster cette réponse.
Et bah vala, tu prends les bonnes habitudes, super.
là je sais pas trop, car autant j'arrive à gérer et utiliser VirtualBox (sur ma config desktop), autant je sais pas du tout comment s'utilise Wine, de plus j'ai pu lire que ce dernier n'était pas vraiment stable, alors je me vois mal planté ma config du netbook pendant mes vacances, car pour le coup ça me gacherai bien les choses.
Wine sert à faire tourner certains soft pour win'. C'est pas la panacée mais ça tourne.
L'avantage de VirtualBox c'est que celui ci reste indépendant d'UBUNTU contrairement à Wine (je sais pas si je me fais bien comprendre)
Oui, je vois. Tu seras dans 2 environnements bien séparés
note: je pense que d'ici la rentrer ou à noël, je vais casser ma tirelire, pour me prendre un ibook pro en 15" équipé d'un SAndyBridge i5 ou i7 , c'est stable, puissant et fiable, contrairement aux PC portable sous Windows.
Wé, mais tu vas peut-être galérer un chouia pour installer Ubuntu dessus. :lol:

Profite de tes vacances quand même, ne reste pas coller au pc toute la journée. ;)

@+
Wullfk

Re: problème de mise à jour , erreur avec squid

par Wullfk »

Bonjour Laetitia,

en faisant la purge indiqué, j'obtiens ceci :

Code : Tout sélectionner

Les paquets suivants seront ENLEVÉS :         
  squid-common{p} 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 627ko seront libérés.
Voulez-vous continuer ? [Y/n/?] Y
(Lecture de la base de données... 213786 fichiers et répertoires déjà installés.)
Suppression de squid-common ...

[email protected]:~$ sudo aptitude purge gadmin-squid
Les paquets suivants seront ENLEVÉS :         
  gadmin-squid{p} 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
(Lecture de la base de données... 213727 fichiers et répertoires déjà installés.)
Suppression de gadmin-squid ...
Purge des fichiers de configuration de gadmin-squid ...
dpkg : avertissement : lors de la suppression de gadmin-squid, le répertoire « /etc/gadmin-squid » n'était pas vide, donc il n'a pas été supprimé.
Traitement des actions différées (« triggers ») pour « menu »...

[email protected]:~$ sudo aptitude purge squid-deb-proxy
Les paquets suivants seront ENLEVÉS :         
  squid-deb-proxy{p} 
0 paquets mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 0o seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
(Lecture de la base de données... 213726 fichiers et répertoires déjà installés.)
Suppression de squid-deb-proxy ...
Purge des fichiers de configuration de squid-deb-proxy ...
Traitement des actions différées (« triggers ») pour « ureadahead »...
ureadahead will be reprofiled on next reboot 
à ce que je comprend pour la dernière commande, la procédure sera pris en compte au prochain reboot.
Wé, mais tu vas peut-être galérer un chouia pour installer Ubuntu dessus.
A bon c'est si galère que ça pour installer une VM UBUNTU ou même Windows 7 sur OS X via VirtualBox ?
je pense que tu veux certainement parler du multiboot avec OS X
Profite de tes vacances quand même, ne reste pas coller au pc toute la journée. ;)
T'as pas tord sur le fond, mais étant donnée que je ne suis pas du tout du genre à aller visiter les châteaux et autres babioles de la région, ni même un sportif (balade à vélo, randonnée pédestre, etc...) je profite du cadre , de la piscine (quand le temps le permet, car depuis hier, il a fallut ressortir les pulls) ben du coup je me rabat sur le PC ou sur les jeux de ma DS XL (à 43 piges difficile de se refaire lol, je crois que je suis pire que mes 3 gamins, encore qu'eux ils ne sont pas cyber dépendant )

@+ ;)
  • Sujets similaires
    Réponses
    Vues
    Dernier message

Revenir à « Utilisation de GNU/Linux »